Bug 184495 - net-mgmt/zabbix2-frontend: update to 2.0.9
Summary: net-mgmt/zabbix2-frontend: update to 2.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-04 14:00 UTC by pg
Modified: 2013-12-16 06:10 UTC (History)
0 users

See Also:


Attachments
file.diff (7.68 KB, patch)
2013-12-04 14:00 UTC, pg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pg 2013-12-04 14:00:00 UTC
update to 2.0.9

Fix: Patch attached with submission follows:
Comment 1 Xin LI freebsd_committer 2013-12-16 05:58:48 UTC
State Changed
From-To: open->closed

Committed (with changes to update to 2.0.10), thanks! 


Comment 2 Xin LI freebsd_committer 2013-12-16 05:58:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Take.
Comment 3 dfilter service freebsd_committer 2013-12-16 06:02:31 UTC
Author: delphij
Date: Mon Dec 16 06:02:22 2013
New Revision: 336610
URL: http://svnweb.freebsd.org/changeset/ports/336610

Log:
  Update to 2.0.10.
  
  PR:		ports/184495
  Submitted by:	maintainer (with changes to update to 2.0.10)

Added:
  head/net-mgmt/zabbix2-server/files/patch-src_shutdown.sh   (contents, props changed)
  head/net-mgmt/zabbix2-server/files/patch-src_startup.sh   (contents, props changed)
Modified:
  head/net-mgmt/zabbix2-frontend/Makefile
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix2-server/distinfo
  head/net-mgmt/zabbix2-server/pkg-plist
  head/net-mgmt/zabbix2-server/pkg-plist.frontend

Modified: head/net-mgmt/zabbix2-frontend/Makefile
==============================================================================
--- head/net-mgmt/zabbix2-frontend/Makefile	Mon Dec 16 05:57:04 2013	(r336609)
+++ head/net-mgmt/zabbix2-frontend/Makefile	Mon Dec 16 06:02:22 2013	(r336610)
@@ -12,11 +12,11 @@ PATCHDIR=
 PLIST=		${PKGDIR}/pkg-plist.frontend
 
 USE_PHP=	bcmath ctype gd pcre snmp sockets mbstring session dom xml \
-		xmlreader xmlwriter simplexml gettext
+		xmlreader xmlwriter simplexml gettext ldap
 WANT_PHP_WEB=	yes
 
 OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
-OPTIONS_DEFINE=	MYSQL MYSQLI PGSQL SQLITE
+OPTIONS_DEFINE=	MYSQL MYSQLI PGSQL SQLITE ORACLE
 OPTIONS_DEFAULT=	MYSQL MYSQLI
 MYSQLI_DESC=	MySQLI backend
 
@@ -39,6 +39,11 @@ USE_PHP+=	pgsql
 USE_PHP+=	sqlite3
 .endif
 
+.if ${PORT_OPTIONS:MORACLE}
+ZABBIX_REQUIRE=
+CONFIGURE_ARGS+=	--with-oracle
+.endif
+
 do-install:
 	@${INSTALL} -d ${WWWDIR}
 	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}

Modified: head/net-mgmt/zabbix2-server/Makefile
==============================================================================
--- head/net-mgmt/zabbix2-server/Makefile	Mon Dec 16 05:57:04 2013	(r336609)
+++ head/net-mgmt/zabbix2-server/Makefile	Mon Dec 16 06:02:22 2013	(r336610)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	zabbix2
-PORTVERSION=	2.0.8
+PORTVERSION=	2.0.10
 PORTREVISION?=	0
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
@@ -16,6 +16,8 @@ LICENSE=	GPLv2
 
 CONFLICTS=	${PKGBASE}-1.[0-8]*
 
+IGNORE_WITH_MYSQL=	41
+
 .if ${PKGNAMESUFFIX} != "-agent"
 CONFLICTS+=	${PORTNAME}-1.[0-8]*
 .endif
@@ -68,8 +70,8 @@ CONFIGURE_ARGS+=	--with-net-snmp
 
 OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
 
-OPTIONS_DEFINE=	IPV6 FPING JABBER CURL LDAP IPMI SSH NMAP ODBC JAVAGW
-OPTIONS_DEFAULT=	MYSQL IPV6 FPING JABBER CURL LDAP
+OPTIONS_DEFINE=	IPV6 FPING JABBER CURL LDAP IPMI SSH NMAP ODBC JAVAGW MYSQL
+OPTIONS_DEFAULT=	MYSQL IPV6 FPING JABBER CURL
 
 CURL_DESC=	Support for web monitoring
 FPING_DESC=	Build/install fping for ping checks
@@ -84,7 +86,7 @@ IODBC_DESC=	Use iODBC for ODBC support
 UNIXODBC_DESC=	Use UnixODBC for ODBC support
 
 OPTIONS_SINGLE=	DB ODBC
-OPTIONS_SINGLE_DB=	MYSQL PGSQL SQLITE
+OPTIONS_SINGLE_DB=	MYSQL PGSQL SQLITE ORACLE
 OPTIONS_SINGLE_ODBC=	IODBC UNIXODBC
 
 NO_STAGE=	yes
@@ -103,11 +105,16 @@ CONFIGURE_ARGS+=	--with-postgresql
 .endif
 
 .if ${PORT_OPTIONS:MSQLITE}
-ZABBIX_REQUIRE=
+ZABBIX_REQUIRE= " sqlite"
 USE_SQLITE=	3
 CONFIGURE_ARGS+=	--with-sqlite3
 .endif
 
+.if ${PORT_OPTIONS:MORACLE}
+ZABBIX_REQUIRE=
+CONFIGURE_ARGS+=	--with-oracle
+.endif
+
 .if ${PORT_OPTIONS:MCURL}
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-libcurl
@@ -173,13 +180,12 @@ post-patch:
 
 .if ${ZABBIX_BUILD} != "agent"
 .if empty(PORT_OPTIONS:MFPING)
-	@${ECHO} 'DisablePinger=yes' >> ${WRKSRC}/conf/zabbix_${ZABBIX_BUILD}.conf
 .endif
 .for d in mysql oracle postgresql sqlite3
 	@${REINPLACE_CMD} -e 's|/bin/ping|/sbin/ping|g; \
-	                      s|/usr/bin/traceroute|/usr/sbin/traceroute|g; \
-	                      s|sudo /usr/bin/nmap|sudo ${LOCALBASE}/bin/nmap|g;' \
-	                      ${WRKSRC}/database/${d}/data.sql
+			      s|/usr/bin/traceroute|/usr/sbin/traceroute|g; \
+			      s|sudo /usr/bin/nmap|sudo ${LOCALBASE}/bin/nmap|g;' \
+			      ${WRKSRC}/database/${d}/data.sql
 .endfor
 .endif
 	@${REINPLACE_CMD} -Ee 's|(@sysconfdir@/(\$$\([A-Z]*_CONFIG\)))" ([|][|] cp "../../conf/\$$\([A-Z]*_CONFIG\)" "\$$\(DESTDIR\)@sysconfdir@)"|\1.sample" \3/\2.sample"|;' \
@@ -187,6 +193,11 @@ post-patch:
 	@${FIND} ${WRKSRC} -type f \( -name '*.bak' -or -name '*.orig' \) -exec ${RM} -f {} +
 
 post-install:
+
+.if defined(WITH_JAVAGW)
+	@${MV} ${PREFIX}/sbin/zabbix_java/settings.sh ${PREFIX}/sbin/zabbix_java/settings.sh.sample
+.endif
+
 .if ${ZABBIX_BUILD} != "agent"
 	@${MKDIR} "${DATADIR}/${ZABBIX_BUILD}/database"
 	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/

Modified: head/net-mgmt/zabbix2-server/distinfo
==============================================================================
--- head/net-mgmt/zabbix2-server/distinfo	Mon Dec 16 05:57:04 2013	(r336609)
+++ head/net-mgmt/zabbix2-server/distinfo	Mon Dec 16 06:02:22 2013	(r336610)
@@ -1,2 +1,2 @@
-SHA256 (zabbix-2.0.8.tar.gz) = c4b94960de0a1d0b20604a08503e9715c15845409368162c1e321040b8e4519a
-SIZE (zabbix-2.0.8.tar.gz) = 13457936
+SHA256 (zabbix-2.0.10.tar.gz) = 71415b5da223c6c0ba2f1c21c3c03cad9a5be0c8986791d7031c014986a9065d
+SIZE (zabbix-2.0.10.tar.gz) = 13671284

Added: head/net-mgmt/zabbix2-server/files/patch-src_shutdown.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/zabbix2-server/files/patch-src_shutdown.sh	Mon Dec 16 06:02:22 2013	(r336610)
@@ -0,0 +1,12 @@
+--- src/zabbix_java/shutdown.sh.orig	2013-11-12 10:07:23.000000000 +0400
++++ src/zabbix_java/shutdown.sh	2013-12-04 16:37:38.000000000 +0400
+@@ -1,7 +1,7 @@
+-#!/bin/bash
++#!/bin/sh
+ 
+ cd $(dirname $0)
+-source settings.sh
++. settings.sh
+ 
+ if [ -n "$PID_FILE" ]; then
+ 	if [ -e "$PID_FILE" ]; then

Added: head/net-mgmt/zabbix2-server/files/patch-src_startup.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/zabbix2-server/files/patch-src_startup.sh	Mon Dec 16 06:02:22 2013	(r336610)
@@ -0,0 +1,32 @@
+--- src/zabbix_java/startup.sh.orig	2013-11-12 10:07:23.000000000 +0400
++++ src/zabbix_java/startup.sh	2013-12-04 16:37:05.000000000 +0400
+@@ -1,7 +1,7 @@
+-#!/bin/bash
++#!/bin/sh
+ 
+ cd $(dirname $0)
+-source settings.sh
++. settings.sh
+ 
+ if [ -n "$PID_FILE" -a -e "$PID_FILE" ]; then
+ 	echo "Zabbix Java Gateway is already running"
+@@ -16,8 +16,8 @@
+ fi
+ 
+ CLASSPATH="lib"
+-for jar in {lib,bin}/*.jar; do
+-	if [[ $jar != *junit* ]]; then
++for jar in lib/*.jar bin/*.jar; do
++	if [ "$jar" != "*junit*" ]; then
+ 		CLASSPATH="$CLASSPATH:$jar"
+ 	fi
+ done
+@@ -39,7 +39,7 @@
+ COMMAND_LINE="$JAVA $JAVA_OPTIONS -classpath $CLASSPATH $ZABBIX_OPTIONS com.zabbix.gateway.JavaGateway"
+ 
+ if [ -n "$PID_FILE" ]; then
+-	PID=$(/bin/bash -c "$COMMAND_LINE > /dev/null 2>&1 & echo \$!")
++	PID=$(/bin/sh -c "$COMMAND_LINE > /dev/null 2>&1 & echo \$!")
+ 	if ps -p $PID > /dev/null 2>&1; then
+ 		echo $PID > $PID_FILE
+ 	else

Modified: head/net-mgmt/zabbix2-server/pkg-plist
==============================================================================
--- head/net-mgmt/zabbix2-server/pkg-plist	Mon Dec 16 05:57:04 2013	(r336609)
+++ head/net-mgmt/zabbix2-server/pkg-plist	Mon Dec 16 06:02:22 2013	(r336610)
@@ -38,7 +38,7 @@ sbin/zabbix_%%ZABBIX_BUILD%%
 %%JAVAGW%%%%ZABBIX_JAVA%%/lib/logback-classic-0.9.27.jar
 %%JAVAGW%%%%ZABBIX_JAVA%%/lib/logback.xml
 %%JAVAGW%%%%ZABBIX_JAVA%%/lib/slf4j-api-1.6.1.jar
-%%JAVAGW%%%%ZABBIX_JAVA%%/settings.sh
+%%JAVAGW%%%%ZABBIX_JAVA%%/settings.sh.sample
 %%JAVAGW%%%%ZABBIX_JAVA%%/startup.sh
 %%JAVAGW%%%%ZABBIX_JAVA%%/bin/zabbix-java-gateway-%%PORTVERSION%%.jar
 %%JAVAGW%%@dirrmtry %%ZABBIX_JAVA%%/lib

Modified: head/net-mgmt/zabbix2-server/pkg-plist.frontend
==============================================================================
--- head/net-mgmt/zabbix2-server/pkg-plist.frontend	Mon Dec 16 05:57:04 2013	(r336609)
+++ head/net-mgmt/zabbix2-server/pkg-plist.frontend	Mon Dec 16 06:02:22 2013	(r336610)
@@ -645,6 +645,8 @@
 %%WWWDIR%%/locale/bg/LC_MESSAGES/frontend.mo
 %%WWWDIR%%/locale/lt/LC_MESSAGES/frontend.po
 %%WWWDIR%%/locale/lt/LC_MESSAGES/frontend.mo
+%%WWWDIR%%/locale/ro/LC_MESSAGES/frontend.po
+%%WWWDIR%%/locale/ro/LC_MESSAGES/frontend.mo
 %%WWWDIR%%/locale/add_new_language.sh
 %%WWWDIR%%/conf/zabbix.conf.php.example
 %%WWWDIR%%/conf/maintenance.inc.php
@@ -858,6 +860,8 @@
 @dirrm %%WWWDIR%%/locale/bg/
 @dirrm %%WWWDIR%%/locale/lt/LC_MESSAGES/
 @dirrm %%WWWDIR%%/locale/lt/
+@dirrm %%WWWDIR%%/locale/ro/LC_MESSAGES/
+@dirrm %%WWWDIR%%/locale/ro/
 @dirrm %%WWWDIR%%/locale
 @dirrm %%WWWDIR%%/conf
 @dirrm %%WWWDIR%%/js/jquery
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"